POST
/v1/auth/notp/{provider}/signin

Authorization

Descope Project ID
AuthorizationBearer <token>

Project ID as bearer token.

In: header

Path Parameters

provider*string

Whatsapp, IMessage, etc

Request Body

application/json

provider?string

Whatsapp, IMessage, etc

loginId?string

Optional, becasue can be retrived from the provider webhook

loginOptions?object
providerId?string
templates?object

NOTP Requests & Responses

ssoAppId?string

Login a user using NOTP

curl -X POST "https://api.descope.com/v1/auth/notp/string/signin" \  -H "Content-Type: application/json" \  -d '{}'
{  "pendingRef": "string",  "redirectUrl": "string",  "image": "string"}
export interface Response {/** * Pending ref is the reference to the pending operation */pendingRef?: string/** * Link to the app (e.g.  https://wa.me/1234567890?text=My%20authentication%20code%20is%20999999) */redirectUrl?: string/** * QR code image */image?: string}
Was this helpful?